<?php
class Formapago extends AppObjeto {
	
	const EFECTIVO = 1;
	const CHEQUE = 7;

	//Propiedades
	protected $codigo;
	protected $nombre;
	
			
	/* para conectar con bd */
	protected static $_aliasTabla = 'a';
	protected static $_nombreTabla = 'FORPRO';
	protected static $_campoPK = 'CODIGO';
	
	
	// InitMetaDatos
	protected static function initMetaDatos(){
		self::addPropiedadBD('a', 'CODIGO', 'codigo', self::META_VARCHAR);
		self::addPropiedadBD('a', 'NOMBRE', 'nombre', self::META_VARCHAR);
		
	}
	
	public static function listado_select(){
		$select = self::selectObjeto();
		//$select->order('nombre');
		$resultado = self::selectExecute($select);
		
		$datos = $resultado->getDatos();
		$salida = array();
		foreach ($datos as $elemento){
			$salida[$elemento['codigo']] = htmlentities(utf8_encode($elemento['nombre']));
		}
		return $salida;
		
	}

	public static function listado_select_fixed()
	{
		$salida = [
			3 => 'TRANSFERENCIA',
			26 => 'TARJETA DE CREDITO',
			27 => 'TARJETA DE PROVEEDOR',
		];
		return $salida;
	}
	
		
}